Get all job planning

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_planning
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key to jobs id.

globally unique identifier
user_id

Foreign key to user id.

globally unique identifier
date_from

Job planning date from

date
date_to

Job planning date to

date
sys_logical_delete

Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "f1271cef-c7ad-421b-9680-205bdba3b418",
  "jobs_id": "61af0fdb-2cb3-46ff-94f8-bf741ed360ee",
  "user_id": "73429149-7b4a-4d59-a52f-6182f8ef5b7a",
  "date_from": "2026-11-22T15:57:28.0185657+00:00",
  "date_to": "2026-11-22T15:57:28.0185657+00:00",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-11-22T15:57:28.0185657+00:00"
}